/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.rqm.adapter.commandline;

import java.io.Serializable;
import java.util.Vector;

/**
 * @author swijenay
 * @author tneal
 *
 * Class used in building pass/fail results from the execution of JUnit testcases/testsuites.
 * 
 */
public class JUnitReport implements Serializable {
	private static final long serialVersionUID = 1L;
	private String description;
 	private String platform;
 	private Vector<JUnitTestCaseReporter> testCaseReporters;
 	
	public JUnitReport(String description, String platform){
		this.description = description;
		this.platform = platform;		
		this.testCaseReporters = new Vector<JUnitTestCaseReporter>();
	}

	public JUnitTestCaseReporter getTestCaseReporter(String testCaseName){
		// TODO Need to use a map here to improve performance
		for(JUnitTestCaseReporter testCaseReporter : testCaseReporters){
			if(testCaseReporter.getTestCaseName().equals(testCaseName)){
				return testCaseReporter;
			}
		}
		
		JUnitTestCaseReporter testCaseReporter = new JUnitTestCaseReporter(testCaseName);
		this.testCaseReporters.add(testCaseReporter);
		
		return testCaseReporter;
	}
	
	public Vector<JUnitTestCaseReporter> getTestCaseReporters() {
		return testCaseReporters;
	}

	public String getDescription() {
		return description;
	}

	public String getPlatform() {
		return platform;
	}
}
